// Custom Theming for Angular Material
// For more information: https://material.angular.io/guide/theming
@use "@angular/material" as mat;
// Plus imports for other components in your app.

// Include the common styles for Angular Material. We include this here so that you only
// have to load a single css file for Angular Material in your app.
// Be sure that you only ever include this mixin once!
@include mat.core();

// Define the palettes for your theme using the Material Design palettes available in palette.scss
// (imported above). For each palette, you can optionally specify a default, lighter, and darker
// hue. Available color palettes: https://material.io/design/color/
$dataware_test-primary: mat.define-palette(mat.$indigo-palette);
$dataware_test-accent: mat.define-palette(mat.$pink-palette, A200, A100, A400);

// The warn palette is optional (defaults to red).
$dataware_test-warn: mat.define-palette(mat.$red-palette);

// Create the theme object. A theme consists of configurations for individual
// theming systems such as "color" or "typography".
$dataware_test-theme: mat.define-light-theme(
  (
    color: (
      primary: $dataware_test-primary,
      accent: $dataware_test-accent,
      warn: $dataware_test-warn,
    ),
  )
);

// Include theme styles for core and each component used in your app.
// Alternatively, you can import and @include the theme mixins for each component
// that you are using.
@include mat.all-component-themes($dataware_test-theme);

/* You can add global styles to this file, and also import other style files */

html,
body {
  height: 100vh;
  background-color: #2b2b2b;
}
body {
  margin: 0;
  font-family: Roboto, "Helvetica Neue", sans-serif;
}

p,
h6,
h5,
h4,
h3,
h2,
h1 {
  margin: 0;
  color: white;
}
